Class | Fog::Compute::Libvirt::Volume
In: | lib/fog/libvirt/models/compute/volume.rb
Parent: | Fog::Model

### Methods

clone destroy new save wipe

### Included Modules

Fog::Compute::LibvirtUtil

### Attributes

xml | [R] |

### Public Class methods

new(attributes={ })

Can be created by passing in :xml => "<xml to create volume>" A volume always belongs to a pool, :pool_name => "<name of pool>"

### Public Instance methods

clone(name)

Clones this volume to the name provided

destroy()

Destroy a volume

save()

Takes a pool and either :xml or other settings

wipe()

Wipes a volume , zeroes disk

[Validate]